org.eclipse.ease.tools

## Class StringTools

- java.lang.Object
- - org.eclipse.ease.tools.StringTools

    public final class StringTools
    extends java.lang.Object

Helper class for string manipulations.

### Field Summary

Fields
`static java.lang.String` `LINE_DELIMITER` Default line break character.

### Constructor Summary

Constructors
Constructor and Description
`StringTools()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String[]` `parseArguments(java.lang.String argument)`
`static java.lang.String` `toString(java.io.InputStream stream)`
`static java.lang.String` `toString(java.io.Reader reader)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LINE_DELIMITER

    public static final java.lang.String LINE_DELIMITER

Default line break character.

### Constructor Detail

#### StringTools

    public StringTools()

### Method Detail

#### toString

    public static final java.lang.String toString(java.io.InputStream stream)
                                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### toString

    public static java.lang.String toString(java.io.Reader reader)
                                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseArguments

    public static java.lang.String[] parseArguments(java.lang.String argument)